apiVersion: {{ deployment_apivers }}
kind: {{ deployment_kind }}
metadata:
  labels:
{% if do_backups %}
    backups.opsperator.io/driver: ssh
{% if (backups_interval | default('daily')) == 'hourly' %}
    backups.opsperator.io/interval: hourly
    backups.opsperator.io/preferredtime: "{{ backups_hourly_start_minute | default(15)}}"
{% elif (backups_interval | default('daily')) == 'weekly' %}
    backups.opsperator.io/interval: weekly
    backups.opsperator.io/preferredtime: "{{ backups_weekly_start_day | default(0) }}"
{% else %}
    backups.opsperator.io/interval: daily
    backups.opsperator.io/preferredtime: "{{ backups_daily_start_hour | default(2) }}"
{% endif %}
    backups.opsperator.io/secret: backups-{{ tinytinyrss_name }}
    backups.opsperator.io/service: backups-{{ tinytinyrss_name }}
{% endif %}
{% if pki_set | length > 0 %}
    pki.opsperator.io/has-ca: {{ pki_set | join(',') }}
{% endif %}
    {{ network_policy_deployment_label }}: {{ tinytinyrss_name }}
  name: {{ tinytinyrss_name }}
  namespace: {{ namespace }}
spec:
  replicas: {{ tinytinyrss_replicas }}
  revisionHistoryLimit: {{ deploy_revision_history_limit | default(10) }}
  selector:
{% if deployment_kind != 'DeploymentConfig' %}
    matchLabels:
      name: {{ tinytinyrss_name }}
  strategy:
    type: Recreate
{% else %}
    name: {{ tinytinyrss_name }}
  strategy:
    resources:
      limits:
        cpu: {{ deploy_pod_cpu_limit }}
        memory: {{ deploy_pod_memory_limit }}
      requests:
        cpu: {{ deploy_pod_cpu_request }}
        memory: {{ deploy_pod_memory_request }}
    type: Recreate
{% endif %}
  template:
    metadata:
      labels:
        name: {{ tinytinyrss_name }}
{% if pki_set | length > 0 %}
        pki.opsperator.io/has-ca: {{ pki_set | join(',') }}
{% endif %}
    spec:
{% if do_affinities %}
      affinity:
        podAntiAffinity:
{% if scheduling_affinity_required %}
          requiredDuringSchedulingIgnoredDuringExecution:
          - labelSelector:
              matchExpressions:
              - key: name
                operator: In
                values: [ {{ tinytinyrss_name }} ]
            topologyKey: {{ k8s_affinity_zone_label }}
{% else %}
          preferredDuringSchedulingIgnoredDuringExecution:
          - podAffinityTerm:
              labelSelector:
                matchExpressions:
                - key: name
                  operator: In
                  values: [ {{ tinytinyrss_name }} ]
              topologyKey: {{ k8s_affinity_zone_label }}
            weight: 42
{% endif %}
{% endif %}
      automountServiceAccountToken: false
      containers:
      - env:
        - name: APACHE_DOMAIN
          value: {{ tinytinyrss_fqdn }}
        - name: AUTH_METHOD
{% if do_lemon %}
          value: oidc
{% elif do_ldap %}
          value: ldap
{% else %}
          value: local
{% endif %}
        - name: APACHE_HTTP_PORT
          value: "8080"
        - name: DEBUG
          value: "{% if do_debugs %}yay{% endif %}"
        - name: HTTP_PROXY
{% if proxy_host | default(False) %}
          value: http://{{ proxy_host }}:{{ proxy_port | default('3128') }}
        - name: HTTPS_PROXY
          value: http://{{ proxy_host }}:{{ proxy_port | default('3128') }}
        - name: NO_PROXY
          value: "{% if (no_proxy | default([])) | length > 0 %}{{ no_proxy | join(',') }},{% endif %}.{{ namespace }}.svc.{{ cluster_domain }},.{{ namespace }}.svc,.{{ namespace }},.svc.{{ cluster_domain }},.svc,.{{ cluster_domain }},.local,.{{ root_domain }}"
{% elif squid_address is defined %}
          value: {{ squid_address }}
        - name: HTTPS_PROXY
          value: {{ squid_address }}
        - name: NO_PROXY
          value: "{% if (no_proxy | default([])) | length > 0 %}{{ no_proxy | join(',') }},{% endif %}.{{ namespace }}.svc.{{ cluster_domain }},.{{ namespace }}.svc,.{{ namespace }},.svc.{{ cluster_domain }},.svc,.{{ cluster_domain }},.local,.{{ root_domain }}"
{% else %}
          value: ""
        - name: HTTPS_PROXY
          value: ""
        - name: NO_PROXY
          value: ""
{% endif %}
{% if tinytinyrss_db_type == 'percona' %}
        - name: MYSQL_DATABASE
          valueFrom:
            secretKeyRef:
              key: database-name
              name: {{ ttrsspc_name }}
        - name: MYSQL_HOST
          value: {{ ttrsspc_name }}-client
        - name: MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: database-password
              name: {{ ttrsspc_name }}
        - name: MYSQL_USER
          valueFrom:
            secretKeyRef:
              key: database-user
              name: {{ ttrsspc_name }}
{% elif tinytinyrss_db_type in [ 'mariadb', 'mysql' ] %}
        - name: MYSQL_DATABASE
          valueFrom:
            secretKeyRef:
              key: database-name
              name: {{ ttrssms_name }}
        - name: MYSQL_HOST
          value: {{ ttrssms_name }}
        - name: MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: database-password
              name: {{ ttrssms_name }}
        - name: MYSQL_USER
          valueFrom:
            secretKeyRef:
              key: database-user
              name: {{ ttrssms_name }}
{% else %}
        - name: MYSQL_PASSWORD
          value: ""
{% endif %}
        - name: OIDC_CALLBACK_URL
{% if do_lemon %}
          value: /oauth2/callback
        - name: OIDC_CLIENT_ID
          value: tinytinyrss
        - name: OIDC_CLIENT_SECRET
          valueFrom:
            secretKeyRef:
              key: tinytinyrss-oauth2-secret
              name: {{ ldap_secret_name }}
        - name: OIDC_CRYPTO_SECRET
          valueFrom:
            secretKeyRef:
              key: oidc-crypto-secret
              name: {{ tinytinyrss_name }}
        - name: OIDC_META_URL
          value: /.well-known/openid-configuration
        - name: OIDC_PORTAL
          value: {{ lemon_portal }}
        - name: OIDC_TOKEN_ENDPOINT_AUTH
          value: client_secret_basic
{% else %}
          value: ""
        - name: OIDC_CLIENT_ID
          value: ""
        - name: OIDC_CLIENT_SECRET
          value: ""
        - name: OIDC_CRYPTO_SECRET
          value: ""
        - name: OIDC_META_URL
          value: ""
        - name: OIDC_PORTAL
          value: ""
        - name: OIDC_TOKEN_ENDPOINT_AUTH
          value: ""
{% endif %}
        - name: OPENLDAP_BASE
{% if not do_lemon and do_ldap %}
          valueFrom:
            secretKeyRef:
              key: directory-root
              name: {{ ldap_secret_name }}
        - name: OPENLDAP_BIND_DN_PREFIX
          value: cn=tinytinyrss,ou=services
        - name: OPENLDAP_BIND_PW
          valueFrom:
            secretKeyRef:
              key: tinytinyrss-password
              name: {{ ldap_secret_name }}
        - name: OPENLDAP_DOMAIN
          value: {{ root_domain }}
        - name: OPENLDAP_HOST
{% if ldaps_address | default(False) %}
          value: {{ ldaps_address | urlsplit('hostname') }}
        - name: OPENLDAP_PORT
          value: "{{ ldaps_address | urlsplit('port') }}"
        - name: OPENLDAP_PROTO
          value: ldaps
{% else %}
          value: {{ ldap_address | urlsplit('hostname') }}
        - name: OPENLDAP_PORT
          value: "{{ ldap_address | urlsplit('port') }}"
        - name: OPENLDAP_PROTO
          value: ldap
{% endif %}
        - name: OPENLDAP_USERS_OBJECTCLASS
{% if do_fusion %}
          value: gosaAccount
{% else %}
          value: {{ tinytinyrss_ldap_user_objectclass }}
{% endif %}
{% else %}
          value: ""
        - name: OPENLDAP_BIND_DN_PREFIX
          value: ""
        - name: OPENLDAP_BIND_PW
          value: ""
        - name: OPENLDAP_DOMAIN
          value: {{ root_domain }}
        - name: OPENLDAP_HOST
          value: ""
        - name: OPENLDAP_PORT
          value: ""
        - name: OPENLDAP_PROTO
          value: ""
        - name: OPENLDAP_USERS_OBJECTCLASS
          value: ""
{% endif %}
        - name: PHP_MAX_EXECUTION_TIME
          value: "{{ tinytinyrss_php_max_execution_time }}"
        - name: PHP_MEMORY_LIMIT
          value: {{ tinytinyrss_php_memory_limit }}
        - name: PING_PATH
{% if do_lemon %}
          value: /ping
{% else %}
          value: ""
{% endif %}
{% if tinytinyrss_db_type == 'postgres' %}
        - name: POSTGRES_DB
          valueFrom:
            secretKeyRef:
              key: database-name
              name: {{ ttrsspg_name }}
        - name: POSTGRES_HOST
          value: {{ ttrsspg_name }}
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              key: database-password
              name: {{ ttrsspg_name }}
        - name: POSTGRES_USER
          valueFrom:
            secretKeyRef:
              key: database-user
              name: {{ ttrsspg_name }}
{% else %}
        - name: POSTGRES_PASSWORD
          value: ""
{% endif %}
        - name: PUBLIC_PROTO
          value: https
        - name: REG_NOTIFY
          value: {{ tinytinyrss_registration_notify if (tinytinyrss_registration_notify) else ('admin0@' ~ root_domain) }}
        - name: SIMPLE_UPDATE_MODE
          value: "{{ 'tru' if tinytinyrss_simple_update_mode else 'fals' }}e"
        - name: SINGLE_USER_MODE
          value: "{{ 'tru' if tinytinyrss_single_user_mode else 'fals' }}e"
        - name: SMTP_HOST
{% if smtp_relay | default(False) %}
          value: {{ smtp_relay }}
        - name: SMTP_PORT
          value: "{{ smtp_port | default('25') }}"
        - name: SMTP_PROTO
          value: smtp
{% elif smtps_address | default(False) %}
          value: {{ smtps_address | urlsplit('hostname') }}
        - name: SMTP_PORT
          value: "{{ smtps_address | urlsplit('port') }}"
        - name: SMTP_PROTO
          value: smtps
{% elif smtp_address | default(False) %}
          value: {{ smtp_address | urlsplit('hostname') }}
        - name: SMTP_PORT
          value: "{{ smtp_address | urlsplit('port') }}"
        - name: SMTP_PROTO
          value: smtp
{% else %}
          value: ""
        - name: SMTP_PORT
          value: ""
        - name: SMTP_PROTO
          value: ""
{% endif %}
        - name: TINYTINYRSS_ADMIN_PASSWORD
          valueFrom:
            secretKeyRef:
              key: admin-password
              name: {{ tinytinyrss_name }}
        - name: TZ
          value: {{ timezone }}
{% if do_triggers == False or (opsimages | json_query("[?name=='tinytinyrss'].short"))[0] == False %}
        image: {{ (opsimages | json_query("[?name=='tinytinyrss'].image"))[0] }}
{% endif %}
        imagePullPolicy: {{ pull_policy }}
        livenessProbe:
{% if k8s_flavor == 'openshift' and ocp_major in [ 3, '3' ] %}
          failureThreshold: 28
{% else %}
          failureThreshold: 5
{% endif %}
          httpGet:
{% if do_lemon %}
            httpHeaders:
            - name: Host
              value: {{ tinytinyrss_fqdn }}
            - name: X-Forwarded-Proto
              value: https
            path: /ping/
{% else %}
            path: /tt-rss/js/index.html
{% endif %}
            port: 8080
          initialDelaySeconds: 60
          periodSeconds: 30
          timeoutSeconds: 5
        name: tinytinyrss
        ports:
        - containerPort: 8080
        readinessProbe:
          httpGet:
{% if do_lemon %}
            httpHeaders:
            - name: Host
              value: {{ tinytinyrss_fqdn }}
            - name: X-Forwarded-Proto
              value: https
            path: /ping/
{% else %}
            path: /tt-rss/js/index.html
{% endif %}
            port: 8080
          initialDelaySeconds: 30
          periodSeconds: 15
          timeoutSeconds: 3
        resources:
          limits:
            cpu: "{{ tinytinyrss_cpu_limit }}"
            memory: "{{ tinytinyrss_memory_limit }}"
          requests:
            cpu: "{{ tinytinyrss_cpu_request }}"
            memory: "{{ tinytinyrss_memory_request }}"
        securityContext:
          allowPrivilegeEscalation: false
{% if not (k8s_flavor == 'openshift' and ocp_major in [ 3, '3' ]) %}
        startupProbe:
          failureThreshold: 28
          initialDelaySeconds: 60
          periodSeconds: 30
          tcpSocket:
            port: 8080
{% endif %}
        volumeMounts:
{% if (do_ldap or do_lemon or smtps_address | default(False)) and k8s_flavor == 'kubernetes' %}
        - mountPath: /certs
          name: pkiconf
{% endif %}
        - mountPath: /etc/apache2/sites-enabled
          name: apachesites
          subPath: apache
{% if do_ldap or do_lemon %}
        - mountPath: /etc/ldap
          name: ldapconf
{% endif %}
        - mountPath: /usr/local/share/ca-certificates
          name: apachesites
          subPath: ca-certificates
        - mountPath: /var/www/html/tt-rss
          name: data
{% if not tinytinyrss_simple_update_mode %}
      - args:
        - /job.sh
        command:
        - dumb-init
        env:
        - name: DEBUG
          value: "{% if do_debugs %}yay{% endif %}"
        - name: HTTP_PROXY
{% if proxy_host | default(False) %}
          value: http://{{ proxy_host }}:{{ proxy_port | default('3128') }}
        - name: HTTPS_PROXY
          value: http://{{ proxy_host }}:{{ proxy_port | default('3128') }}
        - name: NO_PROXY
          value: "{% if (no_proxy | default([])) | length > 0 %}{{ no_proxy | join(',') }},{% endif %}.{{ namespace }}.svc.{{ cluster_domain }},.{{ namespace }}.svc,.{{ namespace }},.svc.{{ cluster_domain }},.svc,.{{ cluster_domain }},.local,.{{ root_domain }}"
{% elif squid_address is defined %}
          value: {{ squid_address }}
        - name: HTTPS_PROXY
          value: {{ squid_address }}
        - name: NO_PROXY
          value: "{% if (no_proxy | default([])) | length > 0 %}{{ no_proxy | join(',') }},{% endif %}.{{ namespace }}.svc.{{ cluster_domain }},.{{ namespace }}.svc,.{{ namespace }},.svc.{{ cluster_domain }},.svc,.{{ cluster_domain }},.local,.{{ root_domain }}"
{% else %}
          value: ""
        - name: HTTPS_PROXY
          value: ""
        - name: NO_PROXY
          value: ""
{% endif %}
{% if tinytinyrss_db_type == 'percona' %}
        - name: MYSQL_DATABASE
          valueFrom:
            secretKeyRef:
              key: database-name
              name: {{ ttrsspc_name }}
        - name: MYSQL_HOST
          value: {{ ttrsspc_name }}-client
        - name: MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: database-password
              name: {{ ttrsspc_name }}
        - name: MYSQL_USER
          valueFrom:
            secretKeyRef:
              key: database-user
              name: {{ ttrsspc_name }}
{% elif tinytinyrss_db_type in [ 'mariadb', 'mysql' ] %}
        - name: MYSQL_DATABASE
          valueFrom:
            secretKeyRef:
              key: database-name
              name: {{ ttrssms_name }}
        - name: MYSQL_HOST
          value: {{ ttrssms_name }}
        - name: MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: database-password
              name: {{ ttrssms_name }}
        - name: MYSQL_USER
          valueFrom:
            secretKeyRef:
              key: database-user
              name: {{ ttrssms_name }}
{% else %}
        - name: MYSQL_PASSWORD
          value: ""
{% endif %}
        - name: PHP_MAX_EXECUTION_TIME
          value: "{{ tinytinyrss_job_php_max_execution_time }}"
        - name: PHP_MEMORY_LIMIT
          value: {{ tinytinyrss_job_php_memory_limit }}
{% if tinytinyrss_db_type == 'postgres' %}
        - name: POSTGRES_DB
          valueFrom:
            secretKeyRef:
              key: database-name
              name: {{ ttrsspg_name }}
        - name: POSTGRES_HOST
          value: {{ ttrsspg_name }}
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              key: database-password
              name: {{ ttrsspg_name }}
        - name: POSTGRES_USER
          valueFrom:
            secretKeyRef:
              key: database-user
              name: {{ ttrsspg_name }}
{% else %}
        - name: POSTGRES_PASSWORD
          value: ""
{% endif %}
        - name: SIMPLE_UPDATE_MODE
          value: "true"
        - name: TZ
          value: {{ timezone }}
        - name: UPDATE_INTERVAL
          value: "{{ tinytinyrss_job_interval }}"
{% if do_triggers == False or (opsimages | json_query("[?name=='tinytinyrss'].short"))[0] == False %}
        image: {{ (opsimages | json_query("[?name=='tinytinyrss'].image"))[0] }}
{% endif %}
        imagePullPolicy: {{ pull_policy }}
        name: job
        resources:
          limits:
            cpu: "{{ tinytinyrss_job_cpu_limit }}"
            memory: "{{ tinytinyrss_job_memory_limit }}"
          requests:
            cpu: "{{ tinytinyrss_job_cpu_request }}"
            memory: "{{ tinytinyrss_job_memory_request }}"
        securityContext:
          allowPrivilegeEscalation: false
        volumeMounts:
        - mountPath: /var/www/html/tt-rss
          name: data
{% endif %}
{% if do_exporters %}
      - args:
{% if do_debugs %}
        - --log.level=debug
{% endif %}
        - --scrape_uri
        - http://stats:8080/server-status
        - --telemetry.address=:9113
{% if do_triggers == False or (opsimages | json_query("[?name=='httpexporter'].short"))[0] == False %}
        image: {{ (opsimages | json_query("[?name=='httpexporter'].image"))[0] }}
{% endif %}
        imagePullPolicy: {{ pull_policy }}
        livenessProbe:
          failureThreshold: 38
          httpGet:
            path: /
            port: 9113
          initialDelaySeconds: 60
          periodSeconds: 30
          timeoutSeconds: 3
        name: exporter
        ports:
        - containerPort: 9113
        resources:
          limits:
            cpu: "{{ exporter_cpu_limit }}"
            memory: "{{ exporter_memory_limit }}"
          requests:
            cpu: "{{ exporter_cpu_request }}"
            memory: "{{ exporter_memory_request }}"
        securityContext:
          allowPrivilegeEscalation: false
{% endif %}
{% if do_backups %}
{% if do_triggers == False or (opsimages | json_query("[?name=='sshd'].short"))[0] == False %}
      - image: {{ (opsimages | json_query("[?name=='sshd'].image"))[0] }}
        imagePullPolicy: {{ pull_policy }}
{% else %}
      - imagePullPolicy: {{ pull_policy }}
{% endif %}
        livenessProbe:
          initialDelaySeconds: 30
          tcpSocket:
            port: 2222
          timeoutSeconds: 3
        name: sshd
        ports:
        - containerPort: 2222
        resources:
          limits:
            cpu: {{ sshd_cpu_limit }}
            memory: {{ sshd_memory_limit }}
          requests:
            cpu: "{{ sshd_cpu_request }}"
            memory: "{{ sshd_memory_request }}"
        securityContext:
          allowPrivilegeEscalation: false
        volumeMounts:
        - mountPath: /home/backup
          name: apachesites
          subPath: bkphome
        - mountPath: /var/backup
          name: apachesites
          subPath: bkpvar
        - mountPath: /.ssh/id_rsa.pub
          name: ssh
          subPath: id_rsa.pub
        - mountPath: /backups
          name: data
{% endif %}
{% if do_exporters %}
      hostAliases:
      - ip: 127.0.0.1
        hostnames:
        - stats
{% endif %}
{% if k8s_resource_nodes_selectors | length > 0 %}
      nodeSelector:
{% for sel in k8s_resource_nodes_selectors %}
        {{ sel.split('=')[0] }}: "{{ sel.split('=')[1] if (sel.split('=') | length > 1) else '' }}"
{% endfor %}
{% endif %}
{% if k8s_flavor == 'kubernetes' or (k8s_flavor == 'openshift' and ocp_major in [ 4, '4' ]) %}
      priorityClassName: opsperator-application
{% endif %}
{% if (rwx_storage | default(False) and rwx_needs_fsgroup | default(False)) or (rwx_storage is not defined and rwo_needs_fsgroup | default(False)) %}
      securityContext:
{% if rwx_storage | default(False) and rwx_needs_fsgroup | default(False) %}
        fsGroup: {{ rwx_needs_fsgroup }}
{% elif rwx_storage is not defined and rwo_needs_fsgroup | default(False) %}
        fsGroup: {{ rwo_needs_fsgroup }}
{% endif %}
{% else %}
      securityContext: {}
{% endif %}
{% if do_topology_spread_constraints | default(False) %}
      topologySpreadConstraints:
      - labelSelector:
          matchLabels:
            name: {{ tinytinyrss_name }}
        maxSkew: {{ topology_spread_max_skew | default(1) }}
        topologyKey: {{ k8s_affinity_zone_label }}
{% if scheduling_affinity_required %}
        whenUnsatisfiable: DoNotSchedule
{% else %}
        whenUnsatisfiable: ScheduleAnyway
{% endif %}
{% endif %}
      volumes:
      - emptyDir: {}
        name: apachesites
      - name: data
        persistentVolumeClaim:
          claimName: {{ tinytinyrss_name }}
{% if do_ldap or do_lemon %}
      - configMap:
          name: {{ ldap_name | default('ldap') }}-config
        name: ldapconf
{% endif %}
{% if (do_ldap or do_lemon or smtps_address | default(False)) and k8s_flavor == 'kubernetes' %}
      - name: pkiconf
        projected:
          sources:
{% if do_ldap or do_lemon %}
          - secret:
              items:
              - key: ca.crt
                path: ca.crt
{% if directory_tls_provider | default(tls_provider) == 'cert-manager' %}
              name: certmanager-{{ certmanager_ca_name | default(cr_name) }}-root-ca
{% else %}
              name: {{ internal_ca_name | default(cr_name) }}-root-ca
{% endif %}
{% endif %}
{% if smtps_address | default(False) %}
          - secret:
              items:
              - key: ca.crt
                path: smtp-ca.crt
{% if smtp_tls_provider | default(tls_provider) == 'cert-manager' %}
              name: certmanager-{{ certmanager_ca_name | default(cr_name) }}-root-ca
{% else %}
              name: {{ internal_ca_name | default(cr_name) }}-root-ca
{% endif %}
{% endif %}
{% endif %}
{% if do_backups %}
      - name: ssh
        secret:
          secretName: backups-{{ tinytinyrss_name }}
{% endif %}
{% if do_triggers %}
  triggers:
{% if (opsimages | json_query("[?name=='tinytinyrss'].short"))[0] %}
  - type: ImageChange
    imageChangeParams:
      automatic: true
      containerNames:
      - tinytinyrss
      from:
        kind: ImageStreamTag
        name: {{ (opsimages | json_query("[?name=='tinytinyrss'].short"))[0] }}
        namespace: {{ buildns }}
{% if not tinytinyrss_simple_update_mode %}
  - type: ImageChange
    imageChangeParams:
      automatic: true
      containerNames:
      - job
      from:
        kind: ImageStreamTag
        name: {{ (opsimages | json_query("[?name=='tinytinyrss'].short"))[0] }}
        namespace: {{ buildns }}
{% endif %}
{% endif %}
{% if do_exporters and (opsimages | json_query("[?name=='httpexporter'].short"))[0] %}
  - type: ImageChange
    imageChangeParams:
      automatic: true
      containerNames:
      - exporter
      from:
        kind: ImageStreamTag
        name: {{ (opsimages | json_query("[?name=='httpexporter'].short"))[0] }}
        namespace: {{ buildns }}
{% endif %}
{% if do_backups and (opsimages | json_query("[?name=='sshd'].short"))[0] %}
  - type: ImageChange
    imageChangeParams:
      automatic: true
      containerNames:
      - sshd
      from:
        kind: ImageStreamTag
        name: {{ (opsimages | json_query("[?name=='sshd'].short"))[0] }}
        namespace: {{ buildns }}
{% endif %}
  - type: ConfigChange
{% endif %}
